using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace AipGateway.Web.Models
{
    public class ErrorResponse
    {
        [Display(Name = "Date Time")]
        [DataType(DataType.DateTime)]
        public DateTime Timestamp { get; set; } = DateTime.Now;

        public int Status { get; set; } = 0;
        public string Title { get; set; } = string.Empty;
        public string Message { get; set; } = string.Empty;
        public string Path { get; set; } = string.Empty;
        public List<string> Errors { get; set; } = new List<string>();


        public object Clone() => this.MemberwiseClone();
    }

}
